v.surf.idw(1)

NAME
v.surf.idw - Provides surface interpolation from vector point data by Inverse Distance Squared Weighting.

KEYWORDS
vector, surface, interpolation, IDW

SYNOPSIS
v.surf.idw
v.surf.idw --help
v.surf.idw [-n] input=name [layer=string] [column=name] output=name [npoints=count] [power=float] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-n
    Don’t index points by raster cell
    Slower but uses less memory and includes points from outside region in the interpolation

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input vector map
    Or data source for direct OGR access

layer=string
    Layer number or name
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

column=name
    Name of attribute column with values to interpolate
    If not given and input is 2D vector map then category values are used. If input is 3D vector map then z-coordinates are used.

output=name [required]
    Name for output raster map

npoints=count
    Number of interpolation points
    Default: 12

power=float
    Power parameter
    Greater values assign greater influence to closer points
    Default: 2.0

DESCRIPTION

v.surf.idw fills a raster matrix with interpolated values generated from a set of irregularly spaced vector data points using numerical approximation (weighted averaging) techniques. The interpolated value of a cell is determined by values of nearby data points and the distance of the cell from those input points. In comparison with other methods, numerical approximation allows representation of more complex surfaces (particularly those with anomalous features), restricts the spatial influence of any errors, and generates the interpolated surface from the data points.

Values to interpolate are read from column option. If this option is not given than the program uses categories as values to interpolate or z-coordinates if the input vector map is 3D.

NOTES

The amount of memory used by this program is related to the number of vector points in the current region. If the vector point map is very dense (i.e., contains many data points), the program may not be able to get all the memory it needs from the system. The time required to execute is related to the resolution of the current region, after an initial delay determined by the time taken to read the input vector points map.

Note that vector features without category in given layer are skipped.

If the user has a mask set, then interpolation is only done for those cells that fall within the mask. However, all vector points in the current region are used even if they fall outside the mask. Vector points outside the current region are not used in the interpolation. A larger region may be set and a mask used to limit interpolation to a smaller area if it is desired to use vector points from outside the region in the interpolation. The -n flag may also be used to achieve a similar result.

If more than npoints fall into one target raster cell, the mean of all the site values will determine the cell value (unless the -n flag is specified, in which case only the npoints closest to the centre of the cell will be interpolated).

The power parameter defines an exponential distance weight. Greater values assign greater influence to values closer to the point to be interpolated. The interpolation function peaks sharply over the given data points for 0 < p < 1 and more smoothly for larger values. The default value for the power parameter is 2.

By setting npoints=1, the module can be used to calculate raster Voronoi diagrams (Thiessen polygons).

SEE ALSO
g.region, r.surf.contour, r.surf.idw, r.surf.gauss, r.surf.fractal, r.surf.random, v.surf.rst

AUTHORS
Michael Shapiro, U.S. Army Construction Engineering Research Laboratory
Improved algorithm (indexes points according to cell and ignores points outside current region) by Paul Kelly

Last changed: $Date: 2014-12-27 23:51:00 +0100 (so, 27 12 2014) $

Main index | Vector index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual